html, body {
  /* overflow-x: hidden; */
}

li, dt, dd {
  font-family: sans-serif;
}

body > *:not(.horizontal-scroll-section) {
  overflow-x: hidden;
  /* position: relative; */
}

body {
  margin: 0;
}

h3, h4 {
  margin-block-start: 0;
  margin-block-end: 0;
}
p {
  margin-block-start: 0;
  margin-block-end: 0;
  font-family: sans-serif;
}
dl {
  margin-block-start: 0;
  margin-block-end: 0;
}

main {
  /* background: #FCF471 */
}
.hede {
  font-size: 0;
}
.contents {
  /* max-width: 1124px;
  margin: 0 auto;
  padding: 120px 0; */
}
.fv {
  /* background: url(./img/fv.png);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat; */
  height: 90vh;
  position: relative;
}
.fv_contents {
  width: 100%;
}
.video-container {
      position: relative;
      width: 100vw;
      height: 90vh;
      overflow: hidden;
      object-fit: cover
}
.head_logo {
  width: 166px;
  display: block;
  margin-top: 30px;
  margin-left: 40px;
  position: absolute;
  top: 20px;
}
.page_link {
  position: absolute;
  top: 60px;
  right: 40px;
  text-decoration: none;
  font-family:Helvetica Neue, sans-serif;
  color: #fff;
  font-size: 18px;
  font-weight: 600;
}

.diagonal_text {
  font-size: 90px;
  color: #fff;
  display: inline-block;
  transform: rotate(-3deg); /* ← 好きな角度に調整 */
}

.head_copy {
  font-family: HelveticaNeue, sans-serif;
  font-size: 240px!important;
  font-weight: normal;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
  text-align: right;
  line-height: 1em;
  margin: 0 0 0 auto;
  position: absolute;
  top: 90%;
  right: 40px;
  transform: translateY(-50%);
  -webkit- transform: translateY(-50%) translateX(-50%);
  -webkit-text-stroke: 4px #fff; /* 輪郭の太さと色 */
}

.diagonal {
  display: inline-block;
  transform: skewX(-5deg); /* ← 数値を変えれば傾き調整可能 */
}

.sec_02 {
  padding: 180px 0 10% 8%;
  position: relative;
  height: auto;
}

.text_box {
  padding: 80px 0 0 60px;
}

.image-container {
position: relative;
visibility: hidden;
transform: translateY(50px);
transition: transform 1s ease, visibility 1s;
will-change: transform;
}

.image-container.visible {
visibility: visible;
transform: translateY(0);
z-index: -1;
}

.image-container img {
position: absolute;
top: -55vh;
right: -35%;
object-fit: cover;
pointer-events: none;
transition: transform 0.2s ease;
will-change: transform;
opacity: 0.65;
}

.image-container2 {
position: relative;
visibility: hidden;
transform: translateY(50px);
transition: transform 1s ease, visibility 1s;
will-change: transform;
}

.image-container2.visible {
visibility: visible;
transform: translateY(0);
z-index: -1;
}

.image-container2 img {
position: absolute;
top: -32vh;
left: -36%;
object-fit: cover;
pointer-events: none;
transition: transform 0.2s ease;
will-change: transform;
opacity: 0.65;
}

.sec_03 h3 {
  line-height: 6.5rem;
}

.text_parts_inner {
  margin-top: 55px;
}
.text_parts_inner span {
  display: block;
  margin-top: 30px;
  font-size: 16px;
  line-height: 35px;
}

ul {
  padding-inline-start: 0;
}
.text_parts_list {
  margin-top: 40px;
}
.text_parts_list li {
  color: #fff;
  display: block;
  font-size: 16px;
  line-height: 30px;
  padding-left: 1em;
  text-indent: -1em;
  padding-bottom: 5px;
  font-family: sans-serif;
}

.sec_04 {
  padding: 280px 60px 100px 0;
  position: relative;
  height: auto;
}
.sec_04 h3 {
  text-align: right;
}
.sec_04 .sec_title_sub {
  text-align: right;
  padding-top: 30px;
}



.cursor {
  position: fixed;
  top: -12px;
  left: -12px;
  width: 25px;
  height: 25px;
  background: #fff;
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%);
  transition: width 0.1s ease, height 0.1s ease;
}

.title {
  font-size: 80px;
  font-family: sans-serif;
  text-align: right;
  font-weight: bold;
}
.title span {
  font-style: italic;
}


.text {
  font-size: 80px;
  font-family: sans-serif;
  letter-spacing: 0.1em;
  text-align: right;
  font-weight: bold;
  z-index: 1000
}


.dot_bg {
  position: relative;
}
.dot_bg img {
  position: absolute;
  opacity: 0.6;
  right: -35%;
}





body {
  margin: 0;
  background: black;
  overflow-x: hidden;
}
.body {
  height: 300vh;
}

#dot-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  pointer-events: none;
  z-index: 0;
  opacity: 0;
  transition: opacity 1s ease-out;
}

.trigger {
  height: 100vh;
  background: transparent;
}

.wrapper{
  overflow: hidden;
}
.sc_container {
  display: flex;
}
.item {
  height: 100vh;
  display: grid;
  place-items: center;
  position: relative;
}
.text_parts {
  position: absolute;
  top: 50%;
  left: 180px;
  transform: translateY(-50%);
  -webkit- transform: translateY(-50%) translateX(-50%);
}
.text_parts h3 {
  font-size: 100px;
  color: #fff;
}
.text_parts p {
  font-size: 25px;
  color: #fff;
}

.item img {
  width: 100%;
}
.item01 {
  background: url(../img/service.jpg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}
.item02 {
  background: url(../img/network-design.jpg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}
.item03 {
  background: url(../img/network-construction.jpg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}
.item04 {
  background: url(../img/incidental-business1.jpg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}
.item05 {
  background: url(../img/incidental-business2.jpg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}
.item06 {
  background: url(../img/incidental-business3.jpg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}




.scramble {
  font-family: HelveticaNeue, sans-serif;
  font-size: 90px;
  color: #fff;
  white-space: pre-line;
  opacity: 0;
  /* transition: opacity 0.8s ease; */
  visibility: hidden;
}
  .scramble.visible {
    opacity: 1;
    visibility: visible;
    /* transition: opacity 0.6s ease; */
    /* transform: rotate(0deg) translateY(0); */
  }

  .text-container {
    margin: 200vh 0; /* テスト用にスクロール余白 */
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }
  .fade-up {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.3s ease, transform 0.8s ease;
  }
  /* 表示時のスタイル */
  .fade-up.visible {
    opacity: 1;
    transform: translateY(0);
  }

  .fade-up_text {
    color: #fff;
    font-size: 24px;
  }
  .fade-up_text_s {
    color: #fff;
    font-size: 15px;
    line-height: 2.5rem;
    padding-top: 30px;
  }


.sec_05 {
  height: 100vh;
}
#scene {
  width: 600px;
  height: 300px;
}

.vr_contents {
  margin: 100px auto;
  width: 100%;
  height: 550px;
  display: block;
  position: relative;
}

.inner_title {
  font-family:HelveticaNeue-UltraLight, sans-serif;
  font-size: 45px;
  font-weight: normal;
  color: #fff;
  text-align: center;
}
.inner_subtitle {
  font-family: '小塚ゴシック Pro','Kozuka Gothic Pro',sans-serif;
  font-size: 23px;
  font-weight: normal;
  color: #fff;
  text-align: center;
  padding-top: 10px;
}
.pl80 {
  padding-left: 80px;
}
.pr80 {
  padding-right: 80px;
}
.inner_text_side .title_text {
  font-family:HelveticaNeue-UltraLight, sans-serif;
  font-size: 35px;
  font-weight: normal;
  color: #fff;
  padding-bottom: 30px;
  white-space: nowrap;
}
.inner_text_side .text_s {
  font-family:HelveticaNeue-UltraLight, sans-serif;
  font-size: 16px;
  color: #fff;
  line-height: 25px;
  white-space: nowrap;
}

.flex_row {
  display: flex;
  /* justify-content: space-between; */
  align-items: center;
}
.flex_row_r {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.img_map {
  max-width: 1000px;
  width: 70%;
}
.container {
  max-width: 1400px;
  margin: 0 auto;
}

.sec_04_module {
  margin-bottom: 180px;
}

.footer a {
  color: #fff;
  text-decoration: none;
}
.footer_inner {
  position: relative;
  padding-bottom: 340px;
}
.footer_logo {
  width: 200px;
  display: block;
  margin: 0 auto;
}
.footer p {
  font-family:Helvetica Neue, sans-serif;
  color: #fff;
  font-size: 40px;
  letter-spacing: 5px;
  text-align: center;
  margin-top: 45px;
}
.footer p span {
  font-size: 18px;
  letter-spacing: 1px;
  text-align: center;
  display: block;
  padding-top: 0;
}
.footer .copyright {
  font-family: sans-serif;
  color: #fff;
  font-size: 14px;
  text-align: right;
  display: block;
  padding: 0 30px 30px 0;
}
.footer_dot_bg {
  max-width: 1700px;
  position: absolute;
  top: -60%;
  left: -20%;
  z-index: -1;
}

.index_footer {
  padding-top: 20%;
}

.fade-in-on-scroll {
  opacity: 0;
  transform: translateX(-50px);
  transition: all 0.8s ease-out;
}
.fade-in-on-scroll.visible {
  opacity: 1;
  transform: translateX(0);
}

.map-container {
      max-width: 1000px;
      height: 750px;
      overflow: hidden;
      margin: 0 auto;
      object-fit: cover;
    }

    .map-image {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transform: scale(1.2);
      transform-origin: center center;
    }

    .mt100 {
      margin-top: 280px;
    }

.sp_only {
  display: none;
}

figure {
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
}

.company_contents {
  max-width: 1020px;
  margin: 0 auto 300px;
  padding-top: 200px;
}
.company_bg {
  position: absolute;
  top: 0;
  right: 0;
  z-index: -1;
  max-width: 1500px;
}
.company_contents .sec_title {
  font-size: 70px;
  margin-bottom: 40px;
}
.company_info {
  margin: 200px auto 300px;
}
.company_info_parts {
  display: flex;
  padding-bottom: 22px;
}
.company_info_parts dt {
  color: #fff;
  font-size: 20px;
  width: 16rem;
}
.company_info_parts dd {
  margin-inline-start: 0;
  color: #fff;
  font-size: 20px;
}
.company_footer p span {
  padding-top: 0;
}

/* .play_btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  -webkit- transform: translateY(-50%) translateX(-50%);
  z-index: 10000;
}
.play_btn {
  width: 80px;
  opacity: 70%;
} */

.toggleButton {
      position: absolute;
      bottom: 10px;
      left: 10px;
        background: none;
        border: none;
        padding: 0;
        cursor: pointer;
        z-index: 10;
        opacity: 70%;
      }
      .toggleButton img {
        width: 45px;
        height: 45px;
      }

.a-enter-vr-button {
  display: none;
}

@media screen and (max-width: 768px) {
  .pc_only {
    display: none;
  }
  .sp_only {
    display: block;
  }
  .contents {
    /* padding: 70px 16px; */
  }
  .img_logo {
    width: 80%;
    margin: 0 auto;
  }
  .page_link {
    top: 30px;
    right: 20px;
    font-size: 13px;
  }
  .box {
    margin: 40px auto 70px;
    border: 1px solid #000;
    padding: 25px 15px 20px;
  }
  .footer {
    padding: 15px 0;
    overflow-x: hidden;
  }
  .footer span {
    font-size: 14px;
  }

  .index_footer {
    padding-top: 20%;
  }

  .cursor {
    display: none;
  }
  .fv {
    height: 50vh;
  }

  .video-container {
        position: relative;
        width: 100vw;
        height: 50vh;
        overflow: hidden;
        object-fit: cover
  }

  .head_logo {
    width: 100px;
    display: block;
    margin-top: 0;
    margin-left: 20px;
    position: absolute;
    top: 20px;
  }
  .head_copy {
    font-family: HelveticaNeue, sans-serif;
    font-size: 68px!important;
    font-weight: normal;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
    text-align: right;
    line-height: 1em;
    margin: 0 0 0 auto;
    position: absolute;
    top: 92%;
    right: 10px;
    transform: translateY(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
  }

  .sec_copy {
    font-size: 21px;
  }

  .sec_02 {
    padding: 70px 20px 16% 20px;
  }
  .text_box {
    padding: 40px 0 0 20px;
  }
  .fade-up_text {
    font-size: 21px;
  }
  .fade-up_text_s {
    font-size: 14px;
    line-height: 1.6rem;
    padding-top: 0;
  }
  .image-container img {
  top: -35vh;
  left: 20%;
  object-fit: cover;
  pointer-events: none;
  transition: transform 0.2s ease;
  will-change: transform;
  opacity: 0.65;
  width: 800px;
  }
  .image-container2 img {
  top: -25vh;
  left: auto;
  right: 20%;
  object-fit: cover;
  pointer-events: none;
  transition: transform 0.2s ease;
  will-change: transform;
  opacity: 0.65;
  width: 700px;
  }

  .text_parts {
    position: absolute;
    top: 50%;
    left: 20px;
    transform: translateY(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    padding-right: 20px;
  }
  .text_parts_inner {
    margin-top: 25px;
}
  .text_parts h3 {
    font-size: 32.5px;
  }
  .sec_03 h3 {
    line-height: 2.6rem;
}
  .text_parts p {
    font-size: 16.5px;
    margin-top: 16px;
  }
  .text_parts p span {
    font-size: 13.5px;
    margin-top: 16px;
    line-height: 26px;
  }

  .text_parts_list {
    margin-top: 20px;
  }
  .text_parts_list li {
    color: #fff;
    display: block;
    font-size: 13.5px;
    line-height: 25px;
  }

  .item01 {
    background: url(../img/service_sp.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  .item02 {
    background: url(../img/network-design_sp.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  .item03 {
    background: url(../img/network-construction_sp.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  .item04 {
    background: url(../img/incidental-business1_sp.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  .item05 {
    background: url(../img/incidental-business2_sp.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  .item06 {
    background: url(../img/incidental-business3_sp.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }

  .sec_04 {
    padding: 60px 0 20px 0;
    position: relative;
    height: auto;
  }
  .sec_04 h3 {
    text-align: right;
    font-size: 36px;
    padding-right: 30px;
  }
  .sec_04 .sec_title_sub {
    text-align: right;
    font-size: 19px;
    padding-right: 30px;
    padding-top: 10px;
  }

  .vr_contents {
    margin: 30px auto;
    width: 100%;
    height: 300px;
    display: block;
  }

  .inner_title {
    font-size: 30px;
    color: #fff;
    text-align: center;
  }
  .inner_subtitle {
    font-size: 18px;
    color: #fff;
    text-align: center;
    padding-top: 10px;
  }
  .pl80 {
    padding-left: 0;
  }
  .pr80 {
    padding-right: 0;
  }
  .inner_text_side {
    padding-top: 40px;
  }
  .inner_text_side .title_text {
    font-family:HelveticaNeue-UltraLight, sans-serif;
    font-size: 25px;
    font-weight: normal;
    color: #fff;
    padding-bottom: 30px;
  }
  .inner_text_side .text_s {
    font-family:HelveticaNeue-UltraLight, sans-serif;
    font-size: 14px;
    color: #fff;
    line-height: 25px;
  }

  .flex_row {
    flex-direction: column;
  }
  .flex_row_r {
    flex-direction: column-reverse;
  }
  .sec_04_module {
    margin-bottom: 100px;
  }
  .map-container {
        max-width: 1000px;
        height: 230px;
        overflow: hidden;
        margin: 0 auto;
        object-fit: cover;
        padding: 0 20px;
      }

      .map-image {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transform: scale(1.2);
        transform-origin: center center;
      }

      .footer_dot_bg {
        max-width: 830px;
        top: -18%;
        left: -110%;
      }


  .footer .copyright {
        font-size: 12px;
        text-align: center;
        padding: 0 0 30px 0;
  }

  .footer_inner {
    position: relative;
    padding-bottom: 220px;
  }
  .footer_logo {
    width: 130px;
    display: block;
    margin: 0 auto;
  }
  .footer p {
    font-family:Helvetica Neue, sans-serif;
    color: #fff;
    font-size: 25px;
    letter-spacing: 5px;
    text-align: center;
    margin-top: 35px;
  }
  .footer p span {
    font-size: 15px;
    letter-spacing: 1px;
    text-align: center;
    display: block;
    padding-top: 35px;
  }

  .mt100 {
    margin-top: 100px;
  }

  .head_copy {
    -webkit-text-stroke: 1px #fff; /* 輪郭の太さと色 */
  }

  .company_contents {
    margin: 0 auto 50px;
    padding: 100px 20px 50px;
  }
  .company_bg {
    position: absolute;
    top: 0;
    right: 0;
    z-index: -1;
    max-width: 1500px;
  }
  .company_contents .sec_title {
    font-size: 30px;
    margin-bottom: 20px;
  }
  .company_contents .sec_title_sub {
    font-size: 18px;
  }
  .company_info {
    margin: 60px auto 10px;
  }
  .company_info_parts {
    display: flex;
    padding-bottom: 22px;
    flex-direction: column;
  }
  .company_info_parts dt {
    color: #fff;
    font-size: 13px;
    width: 100%;
    border-bottom: 0.9px solid #fff;
    margin-bottom: 5px;
  }
  .company_info_parts dd {
    margin-inline-start: 0;
    color: #fff;
    font-size: 13px;
    width: 100%;
  }
  .company_footer p span {
    padding-top: 0;
  }

  .toggleButton img {
    width: 35px;
    height: 35px;
  }

  .hei83 {
    height: 83.2px;
  }
  .hei124 {
    height: 124.81px;
  }

}
